# Namespace: style

## olx.style

### Type Definitions

#### olx.style.CircleOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `fill` | ol.style.Fill | undefined | <optional> | Fill style.
  `radius` | number |  | Circle radius.
  `snapToPixel` | boolean | undefined | <optional> | If `true` integral numbers of pixels are used as the X and Y pixel coordinate when drawing the circle in the output canvas. If `false` fractional numbers may be used. Using `true` allows for "sharp" rendering (no blur), while using `false` allows for "accurate" rendering. Note that accuracy is important if the circle's position is animated. Without it, the circle may jitter noticeably. Default value is `true`.
  `stroke` | ol.style.Stroke | undefined | <optional> | Stroke style.

#### olx.style.FillOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `color` | ol.Color | string | undefined | <optional> | Color.

#### olx.style.IconOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `anchor` | Array.<number> | undefined | <optional> | Anchor. Default value is `[0.5, 0.5]` (icon center).
  `anchorOrigin` | ol.style.IconOrigin | undefined | <optional> | Origin of the anchor: `bottom-left`, `bottom-right`, `top-left` or `top-right`. Default is `top-left`.
  `anchorXUnits` | ol.style.IconAnchorUnits | undefined | <optional> | Units in which the anchor x value is specified. A value of `'fraction'` indicates the x value is a fraction of the icon. A value of `'pixels'` indicates the x value in pixels. Default is `'fraction'`.
  `anchorYUnits` | ol.style.IconAnchorUnits | undefined | <optional> | Units in which the anchor y value is specified. A value of `'fraction'` indicates the y value is a fraction of the icon. A value of `'pixels'` indicates the y value in pixels. Default is `'fraction'`.
  `crossOrigin` | null | string | undefined | <optional> | crossOrigin setting for image.
  `img` | Image | undefined | <optional> | Image object for the icon. If the `src` option is not provided then the provided image must already be loaded.
  `offset` | Array.<number> | undefined | <optional> | Offset, which, together with the size and the offset origin, define the sub-rectangle to use from the original icon image. Default value is `[0, 0]`.
  `offsetOrigin` | ol.style.IconOrigin | undefined | <optional> | Origin of the offset: `bottom-left`, `bottom-right`, `top-left` or `top-right`. Default is `top-left`.
  `scale` | number | undefined | <optional> | Scale.
  `snapToPixel` | boolean | undefined | <optional> | If `true` integral numbers of pixels are used as the X and Y pixel coordinate when drawing the icon in the output canvas. If `false` fractional numbers may be used. Using `true` allows for "sharp" rendering (no blur), while using `false` allows for "accurate" rendering. Note that accuracy is important if the icon's position is animated. Without it, the icon may jitter noticeably. Default value is `true`.
  `rotateWithView` | boolean | undefined | <optional> | Whether to rotate the icon with the view. Default is `false`.
  `rotation` | number | undefined | <optional> | Rotation.
  `size` | ol.Size | undefined | <optional> | Icon size in pixel.
  `src` | string |  | Image source URI.

#### olx.style.StrokeOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `color` | ol.Color | string | undefined | <optional> | Color.
  `lineCap` | string | undefined | <optional> | Line cap style: `butt`, `round`, or `square`. Default is `round`.
  `lineJoin` | string | undefined | <optional> | Line join style: `bevel`, `round`, or `miter`. Default is `round`.
  `lineDash` | Array.<number> | undefined | <optional> | Line dash pattern. Default is `undefined` (no dash).
  `miterLimit` | number | undefined | <optional> | Miter limit. Default is `10`.
  `width` | number | undefined | <optional> | Width.

#### olx.style.StyleOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `fill` | ol.style.Fill | undefined | <optional> | Fill style.
  `image` | ol.style.Image | undefined | <optional> | Image style.
  `stroke` | ol.style.Stroke | undefined | <optional> | Stroke style.
  `text` | ol.style.Text | undefined | <optional> | Text style.
  `zIndex` | number | undefined | <optional> | Z index.

#### olx.style.TextOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `font` | string | undefined | <optional> | Font.
  `offsetX` | number | undefined | <optional> | Horizontal text offset in pixels. A positive will shift the text right. Default is `0`.
  `offsetY` | number | undefined | <optional> | Vertical text offset in pixels. A positive will shift the text down. Default is `0`.
  `scale` | number | undefined | <optional> | Scale.
  `rotation` | number | undefined | <optional> | Rotation.
  `text` | string | undefined | <optional> | Text.
  `textAlign` | string | undefined | <optional> | Text alignment.
  `textBaseline` | string | undefined | <optional> | Text base line.
  `fill` | ol.style.Fill | undefined | <optional> | Fill style.
  `stroke` | ol.style.Stroke | undefined | <optional> | Stroke style.